Skip to main content
DELETE
/
cdr
/
v1
/
doctor
/
{doc_id}
/
Delete Doctor
curl --request DELETE \
  --url https://api.eka.care/cdr/v1/doctor/{doc_id}/ \
  --header 'auth: <auth>'
import requests

url = "https://api.eka.care/cdr/v1/doctor/{doc_id}/"

headers = {"auth": "<auth>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {auth: '<auth>'}};

fetch('https://api.eka.care/cdr/v1/doctor/{doc_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "Doctor Deleted Successfully"
}
{
"status": "error",
"message": "Doctor not found"
}

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Path Parameters

doc_id
string
required

Doctor's Eka ID or partner-provided ID

Example:

"do1769174683513"

Response

OK - Doctor deleted successfully

status
string
Example:

"success"

message
string
Example:

"Doctor Deleted Successfully"